--- old/usr/src/uts/common/avs/ns/nsctl/nsc_gen.c	2015-08-19 07:24:52.725872512 -0400
+++ new/usr/src/uts/common/avs/ns/nsctl/nsc_gen.c	2015-08-19 07:24:52.731493980 -0400
@@ -63,7 +63,7 @@
 void
 _nsc_init_gen()
 {
-	HZ = drv_usectohz(1000000);
+	HZ = drv_sectohz(1);
 }
 
 
--- old/usr/src/uts/common/avs/ns/sv/sv.c	2015-08-19 07:24:52.901665482 -0400
+++ new/usr/src/uts/common/avs/ns/sv/sv.c	2015-08-19 07:24:52.907309340 -0400
@@ -1091,7 +1091,7 @@
 			rc = EBUSY;
 		} else {
 			sv_mod_status = SV_ALLOW_UNLOAD;
-			delay(SV_WAIT_UNLOAD * drv_usectohz(1000000));
+			delay(drv_sectohz(SV_WAIT_UNLOAD));
 		}
 	}
 
--- old/usr/src/uts/common/contract/device.c	2015-08-19 07:24:53.116194097 -0400
+++ new/usr/src/uts/common/contract/device.c	2015-08-19 07:24:53.121674854 -0400
@@ -2208,7 +2208,7 @@
 
 	ASSERT(MUTEX_HELD(&(DEVI(dip)->devi_ct_lock)));
 
-	abstime = ddi_get_lbolt() + drv_usectohz(secs*1000000);
+	abstime = ddi_get_lbolt() + drv_sectohz(secs);
 	while (DEVI(dip)->devi_ct_count) {
 		if (cv_timedwait(&(DEVI(dip)->devi_ct_cv),
 		    &(DEVI(dip)->devi_ct_lock), abstime) == -1) {
--- old/usr/src/uts/common/crypto/api/kcf_cbufcall.c	2015-08-19 07:24:53.319563660 -0400
+++ new/usr/src/uts/common/crypto/api/kcf_cbufcall.c	2015-08-19 07:24:53.324769823 -0400
@@ -289,7 +289,7 @@
 			 */
 			CALLB_CPR_SAFE_BEGIN(&cprinfo);
 			mutex_exit(&cbuf_list_lock);
-			delay(30 * drv_usectohz(1000000));
+			delay(drv_sectohz(30));
 			mutex_enter(&cbuf_list_lock);
 			CALLB_CPR_SAFE_END(&cprinfo, &cbuf_list_lock);
 		}
--- old/usr/src/uts/common/crypto/core/kcf_cryptoadm.c	2015-08-19 07:24:53.477180150 -0400
+++ new/usr/src/uts/common/crypto/core/kcf_cryptoadm.c	2015-08-19 07:24:53.483126670 -0400
@@ -718,7 +718,7 @@
 		/* Wait till the existing requests complete. */
 		while (kcf_get_refcnt(provider, B_TRUE) > 0) {
 			/* wait 1 second and try again. */
-			delay(1 * drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 		}
 	}
 
--- old/usr/src/uts/common/crypto/spi/kcf_spi.c	2015-08-19 07:24:53.652866205 -0400
+++ new/usr/src/uts/common/crypto/spi/kcf_spi.c	2015-08-19 07:24:53.658792206 -0400
@@ -514,7 +514,7 @@
 		 */
 		while (kcf_get_refcnt(desc, B_TRUE) > 1) {
 			/* wait 1 second and try again. */
-			delay(1 * drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 		}
 	} else {
 		int i;
--- old/usr/src/uts/common/fs/dev/sdev_comm.c	2015-08-19 07:24:53.829586625 -0400
+++ new/usr/src/uts/common/fs/dev/sdev_comm.c	2015-08-19 07:24:53.835422338 -0400
@@ -110,7 +110,7 @@
 {
 	clock_t	expire;
 	clock_t rv;
-	clock_t wakeup = drv_usectohz(2 * 1000000);
+	clock_t wakeup = drv_sectohz(2);
 	int rval = ENOENT;
 	int is_lookup = (cmd == SDEV_LOOKUP);
 
@@ -119,7 +119,7 @@
 
 	/* tick value at which wait expires */
 	expire = ddi_get_lbolt() +
-	    drv_usectohz(dev_node_wait_timeout * 1000000);
+	    drv_sectohz(dev_node_wait_timeout);
 
 	sdcmn_err6(("wait4lookup %s %s, %ld %d\n",
 	    is_lookup ? "lookup" : "readdir",
@@ -234,7 +234,7 @@
 	ASSERT(sdev_upcall_door == NULL);
 
 	/* timeout expires this many ticks in the future */
-	expire = ddi_get_lbolt() + drv_usectohz(dev_devfsadm_startup * 1000000);
+	expire = ddi_get_lbolt() + drv_sectohz(dev_devfsadm_startup);
 
 	if (sdev_door_upcall_filename == NULL) {
 		if ((error = sdev_start_devfsadmd()) != 0) {
--- old/usr/src/uts/common/fs/dev/sdev_ncache.c	2015-08-19 07:24:53.990262605 -0400
+++ new/usr/src/uts/common/fs/dev/sdev_ncache.c	2015-08-19 07:24:53.996096573 -0400
@@ -580,7 +580,7 @@
 	if (nsecs == 0) {
 		sdev_state_boot_complete();
 	} else {
-		nticks = drv_usectohz(1000000 * nsecs);
+		nticks = drv_sectohz(nsecs);
 		sdcmn_err5(("timeout initiated %ld\n", nticks));
 		(void) timeout(sdev_state_timeout, NULL, nticks);
 		sdev_nc_flush_boot_update();
--- old/usr/src/uts/common/fs/nfs/nfs4_stub_vnops.c	2015-08-19 07:24:54.181623292 -0400
+++ new/usr/src/uts/common/fs/nfs/nfs4_stub_vnops.c	2015-08-19 07:24:54.187571379 -0400
@@ -1041,7 +1041,7 @@
 
 		/* if we've had no response at all, wait a second */
 		if (esi_first == NULL)
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 
 	} while (esi_first == NULL);
 	ASSERT(nargs_head != NULL);
--- old/usr/src/uts/common/io/aac/aac.c	2015-08-19 07:24:54.425666052 -0400
+++ new/usr/src/uts/common/io/aac/aac.c	2015-08-19 07:24:54.432089291 -0400
@@ -925,7 +925,7 @@
 
 	/* Create a thread for command timeout */
 	softs->timeout_id = timeout(aac_timer, (void *)softs,
-	    (aac_tick * drv_usectohz(1000000)));
+	    drv_sectohz(aac_tick));
 
 	/* Common attach is OK, so we are attached! */
 	ddi_report_dev(dip);
@@ -4380,7 +4380,7 @@
 			cv_broadcast(&softs->drain_cv);
 		else
 			softs->drain_timeid = timeout(aac_check_drain, softs,
-			    AAC_QUIESCE_TICK * drv_usectohz(1000000));
+			    drv_sectohz(AAC_QUIESCE_TICK));
 	}
 	mutex_exit(&softs->io_lock);
 }
@@ -4395,7 +4395,7 @@
 	if (softs->ndrains == 0) {
 		ASSERT(softs->drain_timeid == 0);
 		softs->drain_timeid = timeout(aac_check_drain, softs,
-		    AAC_QUIESCE_TICK * drv_usectohz(1000000));
+		    drv_sectohz(AAC_QUIESCE_TICK));
 	}
 	softs->ndrains++;
 }
@@ -6685,7 +6685,7 @@
 			if (acp->timeout <= softs_timebase) {
 				aac_cmd_timeout(softs, acp);
 				time_out = 1;
-				time_adjust = aac_tick * drv_usectohz(1000000);
+				time_adjust = drv_sectohz(aac_tick);
 				break; /* timeout happened */
 			} else {
 				break; /* no timeout */
@@ -6757,7 +6757,7 @@
 	/* If timer is being stopped, exit */
 	if (softs->timeout_id) {
 		softs->timeout_id = timeout(aac_timer, (void *)softs,
-		    (aac_tick * drv_usectohz(1000000)));
+		    drv_sectohz(aac_tick));
 	} else {
 		mutex_exit(&softs->time_mutex);
 		return;
--- old/usr/src/uts/common/io/aggr/aggr_lacp.c	2015-08-19 07:24:54.796360060 -0400
+++ new/usr/src/uts/common/io/aggr/aggr_lacp.c	2015-08-19 07:24:54.801798415 -0400
@@ -446,7 +446,7 @@
 	mutex_enter(&pl->lacp_timer_lock);
 	if (pl->periodic_timer.id == 0) {
 		pl->periodic_timer.id = timeout(periodic_timer_pop, portp,
-		    drv_usectohz(1000000 * portp->lp_lacp.periodic_timer.val));
+		    drv_sectohz(portp->lp_lacp.periodic_timer.val));
 	}
 	mutex_exit(&pl->lacp_timer_lock);
 }
@@ -1517,8 +1517,7 @@
 	if (pl->wait_while_timer.id == 0) {
 		pl->wait_while_timer.id =
 		    timeout(wait_while_timer_pop, portp,
-		    drv_usectohz(1000000 *
-		    portp->lp_lacp.wait_while_timer.val));
+		    drv_sectohz(portp->lp_lacp.wait_while_timer.val));
 	}
 	mutex_exit(&pl->lacp_timer_lock);
 }
--- old/usr/src/uts/common/io/asy.c	2015-08-19 07:24:55.005277611 -0400
+++ new/usr/src/uts/common/io/asy.c	2015-08-19 07:24:55.010916038 -0400
@@ -3112,7 +3112,7 @@
 			mutex_exit(&asy->asy_excl_hi);
 			async->async_flags |= ASYNC_BREAK;
 			(void) timeout(async_restart, (caddr_t)async,
-			    drv_usectohz(1000000)/4);
+			    drv_sectohz(1) / 4);
 			freemsg(bp);
 			return;	/* wait for this to finish */
 
@@ -3579,7 +3579,7 @@
 				    (val | SETBREAK));
 				mutex_exit(&asy->asy_excl_hi);
 				(void) timeout(async_restart, (caddr_t)async,
-				    drv_usectohz(1000000)/4);
+				    drv_sectohz(1) / 4);
 			} else {
 				DEBUGCONT1(ASY_DEBUG_OUT,
 				    "async%d_ioctl: wait for flush.\n",
--- old/usr/src/uts/common/io/bge/bge_impl.h	2015-08-19 07:24:55.282681116 -0400
+++ new/usr/src/uts/common/io/bge/bge_impl.h	2015-08-19 07:24:55.288166772 -0400
@@ -185,7 +185,7 @@
 
 #define	BGE_HALFTICK		268435456LL		/* 2**28 ns!	*/
 #define	BGE_CYCLIC_PERIOD	(4*BGE_HALFTICK)	/*    ~1.0s	*/
-#define	BGE_CYCLIC_TIMEOUT	(drv_usectohz(1000000))	/*    ~1.0s	*/
+#define	BGE_CYCLIC_TIMEOUT	drv_sectohz(1)		/*    ~1.0s	*/
 #define	BGE_SERDES_STABLE_TIME	(3*BGE_HALFTICK)	/*    ~0.8s	*/
 #define	BGE_PHY_STABLE_TIME	(11*BGE_HALFTICK)	/*    ~3.0s	*/
 #define	BGE_LINK_SETTLE_TIME	(111*BGE_HALFTICK)	/*   ~30.0s	*/
--- old/usr/src/uts/common/io/blkdev/blkdev.c	2015-08-19 07:24:55.464678195 -0400
+++ new/usr/src/uts/common/io/blkdev/blkdev.c	2015-08-19 07:24:55.470417981 -0400
@@ -1448,7 +1448,7 @@
 			break;
 		}
 
-		when = drv_usectohz(1000000);
+		when = drv_sectohz(1);
 		if (cv_reltimedwait_sig(&bd->d_statecv, &bd->d_statemutex,
 		    when, TR_CLOCK_TICK) == 0) {
 			mutex_exit(&bd->d_statemutex);
--- old/usr/src/uts/common/io/bnxe/bnxe_rx.c	2015-08-19 07:24:55.651045944 -0400
+++ new/usr/src/uts/common/io/bnxe/bnxe_rx.c	2015-08-19 07:24:55.656550578 -0400
@@ -218,7 +218,7 @@
             }
 
             /* twiddle our thumbs for one second */
-            delay(drv_usectohz(1000000));
+            delay(drv_sectohz(1));
         }
 
         if (cnt)
@@ -244,7 +244,7 @@
                 }
 
                 /* twiddle our thumbs for one second */
-                delay(drv_usectohz(1000000));
+                delay(drv_sectohz(1));
             }
 
             tot += cnt;
--- old/usr/src/uts/common/io/bridge.c	2015-08-19 07:24:55.818476324 -0400
+++ new/usr/src/uts/common/io/bridge.c	2015-08-19 07:24:55.824170330 -0400
@@ -3329,8 +3329,8 @@
 static void
 bridge_inst_init(void)
 {
-	bridge_scan_interval = 5 * drv_usectohz(1000000);
-	bridge_fwd_age = 25 * drv_usectohz(1000000);
+	bridge_scan_interval = drv_sectohz(5);
+	bridge_fwd_age = drv_sectohz(25);
 
 	rw_init(&bmac_rwlock, NULL, RW_DRIVER, NULL);
 	list_create(&bmac_list, sizeof (bridge_mac_t),
--- old/usr/src/uts/common/io/bscv.c	2015-08-19 07:24:56.060315953 -0400
+++ new/usr/src/uts/common/io/bscv.c	2015-08-19 07:24:56.066200546 -0400
@@ -3201,7 +3201,7 @@
 		 * during panic we should use drv_usecwait() rather
 		 * than delay in those circumstances.
 		 */
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&ssp->task_mu);
 	}
 
@@ -3247,7 +3247,7 @@
 		cv_signal(&ssp->task_cv);
 		/* Release task daemon lock. */
 		mutex_exit(&ssp->task_mu);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&ssp->task_mu);
 	}
 	if ((ssp->task_flags & TASK_SLEEPING_FLG) ||
--- old/usr/src/uts/common/io/comstar/port/fct/discovery.c	2015-08-19 07:24:56.369862412 -0400
+++ new/usr/src/uts/common/io/comstar/port/fct/discovery.c	2015-08-19 07:24:56.375492839 -0400
@@ -102,9 +102,9 @@
 	int64_t			tmp_delay;
 
 	iport->iport_cmdcheck_clock = ddi_get_lbolt() +
-	    drv_usectohz(FCT_CMDLIST_CHECK_SECONDS * 1000000);
+	    drv_sectohz(FCT_CMDLIST_CHECK_SECONDS);
 	short_delay = drv_usectohz(10000);
-	long_delay = drv_usectohz(1000000);
+	long_delay = drv_sectohz(1);
 
 	stmf_trace(iport->iport_alias, "iport is %p", iport);
 	/* Discovery loop */
@@ -156,7 +156,7 @@
 		if (iport->iport_cmdcheck_clock <= ddi_get_lbolt()) {
 			suggested_action |= fct_check_cmdlist(iport);
 			iport->iport_cmdcheck_clock = ddi_get_lbolt() +
-			    drv_usectohz(FCT_CMDLIST_CHECK_SECONDS * 1000000);
+			    drv_sectohz(FCT_CMDLIST_CHECK_SECONDS);
 			iport->iport_max_active_ncmds = 0;
 		}
 
@@ -596,7 +596,7 @@
 			iport->iport_li_state++;
 			iport->iport_login_retry = 0;
 			iport->iport_li_cmd_timeout = ddi_get_lbolt() +
-			    drv_usectohz(25 * 1000000);
+			    drv_sectohz(25);
 		}
 		goto check_state_again;
 
--- old/usr/src/uts/common/io/comstar/port/fct/fct.c	2015-08-19 07:24:56.597258852 -0400
+++ new/usr/src/uts/common/io/comstar/port/fct/fct.c	2015-08-19 07:24:56.602931910 -0400
@@ -3370,7 +3370,7 @@
 				    port->port_fca_abort_timeout*1000);
 			else
 				/* 10 seconds by default */
-				timeout_ticks = drv_usectohz(10 * 1000000);
+				timeout_ticks = drv_sectohz(10);
 			if ((ddi_get_lbolt() >
 			    (icmd->icmd_start_time+timeout_ticks)) &&
 			    iport->iport_state == FCT_STATE_ONLINE) {
--- old/usr/src/uts/common/io/comstar/port/iscsit/iscsit.c	2015-08-19 07:24:56.836572862 -0400
+++ new/usr/src/uts/common/io/comstar/port/iscsit/iscsit.c	2015-08-19 07:24:56.842131758 -0400
@@ -3346,7 +3346,7 @@
 		}
 		(void) cv_reltimedwait(&iscsit_rxpdu_queue_monitor_cv,
 		    &iscsit_rxpdu_queue_monitor_mutex,
-		    ISCSIT_RXPDU_QUEUE_MONITOR_INTERVAL * drv_usectohz(1000000),
+		    drv_sectohz(ISCSIT_RXPDU_QUEUE_MONITOR_INTERVAL),
 		    TR_CLOCK_TICK);
 	}
 	mutex_exit(&iscsit_rxpdu_queue_monitor_mutex);
--- old/usr/src/uts/common/io/comstar/port/iscsit/iscsit_isns.c	2015-08-19 07:24:57.071016961 -0400
+++ new/usr/src/uts/common/io/comstar/port/iscsit/iscsit_isns.c	2015-08-19 07:24:57.076560271 -0400
@@ -515,7 +515,7 @@
 	mutex_init(&isns_monitor_mutex, NULL, MUTEX_DEFAULT, NULL);
 	mutex_init(&esi.esi_mutex, NULL, MUTEX_DEFAULT, NULL);
 	isns_monitor_thr_id = NULL;
-	monitor_idle_interval = ISNS_IDLE_TIME * drv_usectohz(1000000);
+	monitor_idle_interval = drv_sectohz(ISNS_IDLE_TIME);
 	cv_init(&isns_idle_cv, NULL, CV_DEFAULT, NULL);
 	cv_init(&esi.esi_cv, NULL, CV_DEFAULT, NULL);
 	xid = 0;
@@ -1078,7 +1078,7 @@
 	 * messages we send to the iSNS server.
 	 */
 	mutex_exit(&isns_monitor_mutex);
-	delay(drv_usectohz(isns_initial_delay * 1000000));
+	delay(drv_sectohz(isns_initial_delay));
 	mutex_enter(&isns_monitor_mutex);
 
 	/* Force an initialization of isns_all_portals */
@@ -2874,7 +2874,7 @@
 			goto rcv_error;
 		}
 		rcv_timer = timeout(isnst_so_timeout, so,
-		    drv_usectohz(ISNS_RCV_TIMER_SECONDS * 1000000));
+		    drv_sectohz(ISNS_RCV_TIMER_SECONDS));
 		if (idm_sorecv(so, payload, payload_len) != 0) {
 			(void) untimeout(rcv_timer);
 			goto rcv_error;
@@ -3085,7 +3085,7 @@
 			ISNST_LOG(CE_WARN,
 			    "isnst_esi_thread: Unable to create socket");
 			mutex_exit(&esi.esi_mutex);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&esi.esi_mutex);
 			continue;
 		}
@@ -3106,7 +3106,7 @@
 			ISNST_LOG(CE_WARN, "Unable to bind socket for ESI");
 			idm_sodestroy(esi.esi_so);
 			mutex_exit(&esi.esi_mutex);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&esi.esi_mutex);
 			continue;
 		}
@@ -3124,7 +3124,7 @@
 			    "failure 0x%x", rc);
 			idm_sodestroy(esi.esi_so);
 			mutex_exit(&esi.esi_mutex);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&esi.esi_mutex);
 			continue;
 		}
--- old/usr/src/uts/common/io/comstar/port/iscsit/iscsit_tgt.c	2015-08-19 07:24:57.317240473 -0400
+++ new/usr/src/uts/common/io/comstar/port/iscsit/iscsit_tgt.c	2015-08-19 07:24:57.322564986 -0400
@@ -653,7 +653,7 @@
 	    iscsit_tgt_dereg_task, tgt, DDI_NOSLEEP) == NULL) {
 		/* Dispatch failed, try again later */
 		(void) timeout(iscsit_tgt_dereg_retry, tgt,
-		    drv_usectohz(TGT_DEREG_RETRY_SECONDS * 1000000));
+		    drv_sectohz(TGT_DEREG_RETRY_SECONDS));
 	}
 }
 
--- old/usr/src/uts/common/io/comstar/port/pppt/pppt_tgt.c	2015-08-19 07:24:57.514159600 -0400
+++ new/usr/src/uts/common/io/comstar/port/pppt/pppt_tgt.c	2015-08-19 07:24:57.519510653 -0400
@@ -805,7 +805,7 @@
 	    pppt_tgt_dereg_task, tgt, KM_NOSLEEP) == NULL) {
 		/* Dispatch failed, try again later */
 		(void) timeout(pppt_tgt_dereg_retry, tgt,
-		    drv_usectohz(TGT_DEREG_RETRY_SECONDS * 1000000));
+		    drv_sectohz(TGT_DEREG_RETRY_SECONDS));
 	}
 }
 
--- old/usr/src/uts/common/io/comstar/port/qlt/qlt.c	2015-08-19 07:24:57.683992818 -0400
+++ new/usr/src/uts/common/io/comstar/port/qlt/qlt.c	2015-08-19 07:24:57.690129494 -0400
@@ -5045,7 +5045,7 @@
 		for (retries = 0; (qlt->mbox_io_state != MBOX_STATE_READY) &&
 		    (qlt->mbox_io_state != MBOX_STATE_UNKNOWN); retries++) {
 			(void) cv_timedwait(&qlt->mbox_cv, &qlt->mbox_lock,
-			    ddi_get_lbolt() + drv_usectohz(1000000));
+			    ddi_get_lbolt() + drv_sectohz(1));
 			if (retries > 5) {
 				mutex_exit(&qlt->mbox_lock);
 				EL(qlt, "can't drain out mailbox commands\n");
--- old/usr/src/uts/common/io/comstar/port/srpt/srpt_stp.c	2015-08-19 07:24:57.994213700 -0400
+++ new/usr/src/uts/common/io/comstar/port/srpt/srpt_stp.c	2015-08-19 07:24:58.000055981 -0400
@@ -385,7 +385,7 @@
 		 * execution so it is ok to take a while.
 		 */
 		SRPT_DPRINTF_L3("stp_alloc_port, delaying");
-		delay(2 * drv_usectohz(1000000));
+		delay(drv_sectohz(2));
 		goto retry_registration;
 	}
 	SRPT_DPRINTF_L1("stp_alloc_port, STMF register local port err(0x%llx)",
@@ -496,7 +496,7 @@
 	for (;;) {
 		status = stmf_deregister_local_port(tgt->tp_lport);
 		if (status == STMF_BUSY) {
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 		} else {
 			break;
 		}
--- old/usr/src/uts/common/io/comstar/stmf/stmf.c	2015-08-19 07:24:58.187890053 -0400
+++ new/usr/src/uts/common/io/comstar/stmf/stmf.c	2015-08-19 07:24:58.194271713 -0400
@@ -4266,7 +4266,7 @@
 stmf_do_ilu_timeouts(stmf_i_lu_t *ilu)
 {
 	clock_t l = ddi_get_lbolt();
-	clock_t ps = drv_usectohz(1000000);
+	clock_t ps = drv_sectohz(1);
 	stmf_i_scsi_task_t *itask;
 	scsi_task_t *task;
 	uint32_t to;
--- old/usr/src/uts/common/io/comstar/stmf/stmf_impl.h	2015-08-19 07:24:58.534692246 -0400
+++ new/usr/src/uts/common/io/comstar/stmf/stmf_impl.h	2015-08-19 07:24:58.540029636 -0400
@@ -154,7 +154,7 @@
 	/* XXX Need something to track all the remote ports also */
 } stmf_i_local_port_t;
 
-#define	STMF_AVG_ONLINE_INTERVAL	(30 * drv_usectohz(1000000))
+#define	STMF_AVG_ONLINE_INTERVAL	drv_sectohz(30)
 
 #define	MAX_IRPORT			0x10000
 
--- old/usr/src/uts/common/io/cpqary3/cpqary3_talk2ctlr.c	2015-08-19 07:24:58.692333725 -0400
+++ new/usr/src/uts/common/io/cpqary3/cpqary3_talk2ctlr.c	2015-08-19 07:24:58.697737586 -0400
@@ -926,7 +926,7 @@
 			break;
 		} else {
 			DTRACE_PROBE(ctlr_init_check_notready);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 		}
 	}
 
--- old/usr/src/uts/common/io/e1000g/e1000g_main.c	2015-08-19 07:24:58.863725249 -0400
+++ new/usr/src/uts/common/io/e1000g/e1000g_main.c	2015-08-19 07:24:58.869355999 -0400
@@ -4327,7 +4327,7 @@
 
 	if (tx_ring->resched_needed &&
 	    ((ddi_get_lbolt() - tx_ring->resched_timestamp) >
-	    drv_usectohz(1000000)) &&
+	    drv_sectohz(1)) &&
 	    (Adapter->e1000g_state & E1000G_STARTED) &&
 	    (tx_ring->tbd_avail >= DEFAULT_TX_NO_RESOURCE)) {
 		tx_ring->resched_needed = B_FALSE;
@@ -4640,7 +4640,7 @@
 {
 	Adapter->watchdog_tid =
 	    timeout(e1000g_local_timer,
-	    (void *)Adapter, 1 * drv_usectohz(1000000));
+	    (void *)Adapter, drv_sectohz(1));
 }
 #pragma inline(arm_watchdog_timer)
 
--- old/usr/src/uts/common/io/ecpp.c	2015-08-19 07:24:59.189987953 -0400
+++ new/usr/src/uts/common/io/ecpp.c	2015-08-19 07:24:59.195912265 -0400
@@ -775,7 +775,7 @@
 		 */
 		if ((pp->e_busy == ECPP_BUSY) || (pp->e_busy == ECPP_FLUSH)) {
 			(void) cv_reltimedwait(&pp->pport_cv, &pp->umutex,
-			    SUSPEND_TOUT * drv_usectohz(1000000),
+			    drv_sectohz(SUSPEND_TOUT),
 			    TR_CLOCK_TICK);
 			if ((pp->e_busy == ECPP_BUSY) ||
 			    (pp->e_busy == ECPP_FLUSH)) {
@@ -2804,7 +2804,7 @@
 
 	/* schedule transfer timeout */
 	pp->timeout_id = timeout(ecpp_xfer_timeout, (caddr_t)pp,
-	    pp->xfer_parms.write_timeout * drv_usectohz(1000000));
+	    drv_sectohz(pp->xfer_parms.write_timeout));
 }
 
 /*
--- old/usr/src/uts/common/io/fdc.c	2015-08-19 07:24:59.520190038 -0400
+++ new/usr/src/uts/common/io/fdc.c	2015-08-19 07:24:59.525719706 -0400
@@ -1948,7 +1948,7 @@
 			break;
 		case FMS_KILLST:
 			fcp->c_motort[unit] = timeout(fdmotort, (void *)fjp,
-			    drv_usectohz(1000000));
+			    drv_sectohz(1));
 			fcp->c_mtrstate[unit] = FMS_IDLE;
 			break;
 		case FMS_IDLE:
--- old/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_clock.c	2015-08-19 07:24:59.751495742 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_clock.c	2015-08-19 07:24:59.756902348 -0400
@@ -67,7 +67,7 @@
 	/* Set thread timeout */
 	if (cfg[CFG_TIMEOUT_ENABLE].current) {
 		(void) drv_getparm(LBOLT, &time);
-		time += (timeout * drv_usectohz(1000000));
+		time += drv_sectohz(timeout);
 	} else {
 		time = -1;
 	}
@@ -131,7 +131,7 @@
 	if (!(hba->timer_flags & EMLXS_TIMER_KILL)) {
 		hba->timer_id =
 		    timeout(emlxs_timer, (void *)hba,
-		    (EMLXS_TIMER_PERIOD * drv_usectohz(1000000)));
+		    drv_sectohz(EMLXS_TIMER_PERIOD));
 	} else {
 		hba->timer_id = 0;
 		hba->timer_flags |= EMLXS_TIMER_ENDED;
@@ -240,7 +240,7 @@
 	if (!hba->timer_id) {
 		hba->timer_flags = 0;
 		hba->timer_id =
-		    timeout(emlxs_timer, (void *)hba, drv_usectohz(1000000));
+		    timeout(emlxs_timer, (void *)hba, drv_sectohz(1));
 	}
 	mutex_exit(&EMLXS_TIMER_LOCK);
 
--- old/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_dfc.c	2015-08-19 07:24:59.937004254 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_dfc.c	2015-08-19 07:24:59.943025973 -0400
@@ -4368,7 +4368,7 @@
 		}
 
 		mutex_exit(&EMLXS_PORT_LOCK);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&EMLXS_PORT_LOCK);
 	}
 
@@ -4463,7 +4463,7 @@
 			}
 
 			mutex_exit(&EMLXS_PORT_LOCK);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&EMLXS_PORT_LOCK);
 		}
 
@@ -4546,7 +4546,7 @@
 			}
 
 			mutex_exit(&EMLXS_PORT_LOCK);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&EMLXS_PORT_LOCK);
 		}
 
@@ -8324,7 +8324,7 @@
 			rval = DFC_TIMEOUT;
 	}
 
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 	i = 0;
 	while ((hba->state < FC_LINK_UP) && (hba->state != FC_ERROR)) {
 		delay(drv_usectohz(100000));
--- old/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_fcp.c	2015-08-19 07:25:00.359348765 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_fcp.c	2015-08-19 07:25:00.364971083 -0400
@@ -1983,7 +1983,7 @@
 	}
 
 	/* Pause here for the IO to settle */
-	delay(drv_usectohz(1000000));	/* 1 sec */
+	delay(drv_sectohz(1));
 
 	/* Unregister all nodes */
 	emlxs_ffcleanup(hba);
--- old/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_solaris.c	2015-08-19 07:25:00.620053718 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/emlxs/emlxs_solaris.c	2015-08-19 07:25:00.626117256 -0400
@@ -2649,7 +2649,7 @@
 		/* Driver's timer will not function during panics. */
 		/* Therefore, timer checks must be performed manually. */
 		(void) drv_getparm(LBOLT, &time);
-		timeout = time + drv_usectohz(1000000);
+		timeout = time + drv_sectohz(1);
 		while (!(sbp->pkt_flags & PACKET_COMPLETED)) {
 			EMLXS_SLI_POLL_INTR(hba);
 			(void) drv_getparm(LBOLT, &time);
@@ -2657,7 +2657,7 @@
 			/* Trigger timer checks periodically */
 			if (time >= timeout) {
 				emlxs_timer_checks(hba);
-				timeout = time + drv_usectohz(1000000);
+				timeout = time + drv_sectohz(1);
 			}
 		}
 	} else {
@@ -3764,7 +3764,7 @@
 
 			/* Keep polling the chip until our IO is completed */
 			(void) drv_getparm(LBOLT, &time);
-			timer = time + drv_usectohz(1000000);
+			timer = time + drv_sectohz(1);
 			while ((time < pkt_timeout) &&
 			    !(sbp->pkt_flags & PACKET_COMPLETED)) {
 				EMLXS_SLI_POLL_INTR(hba);
@@ -3773,7 +3773,7 @@
 				/* Trigger timer checks periodically */
 				if (time >= timer) {
 					emlxs_timer_checks(hba);
-					timer = time + drv_usectohz(1000000);
+					timer = time + drv_sectohz(1);
 				}
 			}
 		} else {
@@ -4046,14 +4046,14 @@
 		mutex_exit(&EMLXS_PORT_LOCK);
 
 		/* Wait for the timer thread to detect the error condition */
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 
 		/* Wait for the HBA to re-initialize */
 		i = 0;
 		mutex_enter(&EMLXS_PORT_LOCK);
 		while (!(hba->flag & FC_ONLINE_MODE) && (i++ < 30)) {
 			mutex_exit(&EMLXS_PORT_LOCK);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&EMLXS_PORT_LOCK);
 		}
 
--- old/usr/src/uts/common/io/fibre-channel/fca/oce/oce_mbx.c	2015-08-19 07:25:01.077618035 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/oce/oce_mbx.c	2015-08-19 07:25:01.083253243 -0400
@@ -133,7 +133,7 @@
 	clock_t now, tstamp;
 	pd_mpu_mbox_db_t mbox_db;
 
-	tmo = (tmo_sec > 0) ? drv_usectohz(tmo_sec * 1000000) :
+	tmo = (tmo_sec > 0) ? drv_sectohz(tmo_sec) :
 	    drv_usectohz(DEFAULT_MQ_MBOX_TIMEOUT);
 
 	/* Add the default timeout to wait for a mailbox to complete */
--- old/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_api.c	2015-08-19 07:25:01.265699515 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_api.c	2015-08-19 07:25:01.272297419 -0400
@@ -1498,7 +1498,7 @@
 
 		/* Start one second driver timer. */
 		if (ql_timer_timeout_id == NULL) {
-			ql_timer_ticks = drv_usectohz(1000000);
+			ql_timer_ticks = drv_sectohz(1);
 			ql_timer_timeout_id = timeout(ql_timer, (void *)0,
 			    ql_timer_ticks);
 		}
@@ -1973,7 +1973,7 @@
 		ha->flags |= ADAPTER_SUSPENDED;
 		while (ha->flags & ADAPTER_TIMER_BUSY && delay_cnt++ < 10) {
 			ADAPTER_STATE_UNLOCK(ha);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			ADAPTER_STATE_LOCK(ha);
 		}
 		if (ha->busy || ha->flags & ADAPTER_TIMER_BUSY) {
@@ -11869,7 +11869,7 @@
 	if (lock_needed == TRUE) {
 		/* Acquire mailbox register lock. */
 		MBX_REGISTER_LOCK(ha);
-		timer = (ha->mcp->timeout + 2) * drv_usectohz(1000000);
+		timer = drv_sectohz(ha->mcp->timeout + 2);
 
 		/* Check for mailbox available, if not wait for signal. */
 		while (ha->mailbox_flags & MBX_BUSY_FLG) {
@@ -15904,7 +15904,7 @@
 static int
 ql_suspend_adapter(ql_adapter_state_t *ha)
 {
-	clock_t timer = 32 * drv_usectohz(1000000);
+	clock_t timer = drv_sectohz(32);
 
 	QL_PRINT_3(CE_CONT, "(%d): started\n", ha->instance);
 
--- old/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_mbx.c	2015-08-19 07:25:01.872682491 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_mbx.c	2015-08-19 07:25:01.878458858 -0400
@@ -111,7 +111,7 @@
 		}
 
 		/* Set timeout after command that is running. */
-		timer = (mcp->timeout + 20) * drv_usectohz(1000000);
+		timer = drv_sectohz(mcp->timeout + 20);
 		cv_stat = cv_reltimedwait_sig(&ha->cv_mbx_wait,
 		    &ha->pha->mbx_mutex, timer, TR_CLOCK_TICK);
 		if (cv_stat == -1 || cv_stat == 0) {
@@ -166,7 +166,7 @@
 	    !(ha->task_daemon_flags & (TASK_THREAD_CALLED |
 	    TASK_DAEMON_POWERING_DOWN)) &&
 	    !ddi_in_panic()) {
-		timer = mcp->timeout * drv_usectohz(1000000);
+		timer = drv_sectohz(mcp->timeout);
 		while (!(ha->mailbox_flags & (MBX_INTERRUPT | MBX_ABORT)) &&
 		    !(ha->task_daemon_flags & ISP_ABORT_NEEDED)) {
 
--- old/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_nx.c	2015-08-19 07:25:02.139765976 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/qlc/ql_nx.c	2015-08-19 07:25:02.145390949 -0400
@@ -1119,7 +1119,7 @@
 	clock_t		timer;
 	uint32_t	status;
 
-	for (timer = 30 * drv_usectohz(1000000); timer; timer--) {
+	for (timer = drv_sectohz(30); timer; timer--) {
 		ql_8021_wr_32(ha, UNM_ROMUSB_ROM_ABYTE_CNT, 0);
 		ql_8021_wr_32(ha, UNM_ROMUSB_ROM_INSTR_OPCODE,
 		    UNM_ROMUSB_ROM_RDSR_INSTR);
@@ -1608,7 +1608,7 @@
 
 	/* ??? */
 	ql_8021_wr_32(ha, UNM_PORT_MODE_ADDR, UNM_PORT_MODE_AUTO_NEG);
-	delay(drv_usectohz(1000000));
+	delay(drv_sectohz(1));
 
 	/* CAM RAM Cold Boot Register */
 	ql_8021_rd_32(ha, UNM_RAM_COLD_BOOT, &data);
--- old/usr/src/uts/common/io/fibre-channel/fca/qlge/qlge_mpi.c	2015-08-19 07:25:02.335715651 -0400
+++ new/usr/src/uts/common/io/fibre-channel/fca/qlge/qlge_mpi.c	2015-08-19 07:25:02.341029331 -0400
@@ -322,10 +322,9 @@
 			/* default 5 seconds from now to timeout */
 			timer = ddi_get_lbolt();
 			if (mbx_cmd->timeout) {
-				timer +=
-				    mbx_cmd->timeout * drv_usectohz(1000000);
+				timer += drv_sectohz(mbx_cmd->timeout);
 			} else {
-				timer += 5 * drv_usectohz(1000000);
+				timer += drv_sectohz(5);
 			}
 			if (cv_timedwait(&qlge->cv_mbx_intr, &qlge->mbx_mutex,
 			    timer) == -1) {
--- old/usr/src/uts/common/io/fibre-channel/impl/fctl.c	2015-08-19 07:25:02.517012312 -0400
+++ new/usr/src/uts/common/io/fibre-channel/impl/fctl.c	2015-08-19 07:25:02.523475728 -0400
@@ -654,7 +654,7 @@
 	mutex_exit(&fctl_ulp_list_mutex);
 
 	while (rw_tryenter(&fctl_ulp_lock, RW_WRITER) == 0) {
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		if (ntry++ > FC_ULP_ADD_RETRY_COUNT) {
 			fc_ulp_list_t	*list;
 			fc_ulp_list_t	*last;
--- old/usr/src/uts/common/io/fibre-channel/impl/fp.c	2015-08-19 07:25:02.836036299 -0400
+++ new/usr/src/uts/common/io/fibre-channel/impl/fp.c	2015-08-19 07:25:02.842094378 -0400
@@ -438,7 +438,7 @@
 		for (cnt = 0; (port->fp_job_head) && (cnt < fp_cmd_wait_cnt);
 		    cnt++) {
 			mutex_exit(&port->fp_mutex);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&port->fp_mutex);
 		}
 
@@ -1518,7 +1518,7 @@
 	    (delay_count < 30)) {
 		mutex_exit(&port->fp_mutex);
 		delay_count++;
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&port->fp_mutex);
 	}
 
@@ -1688,7 +1688,7 @@
 	    FP_SOFT_IN_UNSOL_CB)) && (delay_count < 30)) {
 		mutex_exit(&port->fp_mutex);
 		delay_count++;
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&port->fp_mutex);
 	}
 
--- old/usr/src/uts/common/io/fibre-channel/ulp/fcip.c	2015-08-19 07:25:03.381649544 -0400
+++ new/usr/src/uts/common/io/fibre-channel/ulp/fcip.c	2015-08-19 07:25:03.387388243 -0400
@@ -1150,7 +1150,7 @@
 	 * start the timeout threads
 	 */
 	fptr->fcip_timeout_id = timeout(fcip_timeout, fptr,
-	    drv_usectohz(1000000));
+	    drv_sectohz(1));
 
 	mutex_exit(&fptr->fcip_mutex);
 	mutex_enter(&fcip_global_mutex);
@@ -1260,7 +1260,7 @@
 	 * Restart the timeout thread
 	 */
 	fptr->fcip_timeout_id = timeout(fcip_timeout, fptr,
-	    drv_usectohz(1000000));
+	    drv_sectohz(1));
 	mutex_exit(&fptr->fcip_mutex);
 	return (rval);
 }
@@ -7339,7 +7339,7 @@
 	mutex_enter(&fptr->fcip_mutex);
 
 	fptr->fcip_timeout_id = timeout(fcip_timeout, fptr,
-	    drv_usectohz(1000000));
+	    drv_sectohz(1));
 	fptr->fcip_flags &= ~(FCIP_IN_TIMEOUT);
 	mutex_exit(&fptr->fcip_mutex);
 }
--- old/usr/src/uts/common/io/fibre-channel/ulp/fcp.c	2015-08-19 07:25:03.731712004 -0400
+++ new/usr/src/uts/common/io/fibre-channel/ulp/fcp.c	2015-08-19 07:25:03.738126218 -0400
@@ -4059,7 +4059,7 @@
 
 					if (!i_ddi_devi_attached(cdip)) {
 						mutex_exit(&plun->lun_mutex);
-						delay(drv_usectohz(1000000));
+						delay(drv_sectohz(1));
 						mutex_enter(&plun->lun_mutex);
 					} else {
 						/*
@@ -4430,7 +4430,7 @@
 
 		while (pptr->port_ipkt_cnt) {
 			mutex_exit(&pptr->port_mutex);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(&pptr->port_mutex);
 		}
 
@@ -4784,7 +4784,7 @@
 					    fcp_outstanding_lun_cmds(ptgt)
 					    == FC_SUCCESS) {
 						mutex_exit(&ptgt->tgt_mutex);
-						delay(drv_usectohz(1000000));
+						delay(drv_sectohz(1));
 						mutex_enter(&ptgt->tgt_mutex);
 					}
 					mutex_exit(&ptgt->tgt_mutex);
@@ -10007,8 +10007,7 @@
 	soft_state_linked++;
 
 	if (fcp_watchdog_init++ == 0) {
-		fcp_watchdog_tick = fcp_watchdog_timeout *
-		    drv_usectohz(1000000);
+		fcp_watchdog_tick = drv_sectohz(fcp_watchdog_timeout);
 		fcp_watchdog_id = timeout(fcp_watch, NULL,
 		    fcp_watchdog_tick);
 	}
@@ -10298,7 +10297,7 @@
 			break;
 		}
 		mutex_exit(&pptr->port_mutex);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&pptr->port_mutex);
 	}
 
@@ -12212,8 +12211,7 @@
 
 	mutex_enter(&fcp_global_mutex);
 	if (fcp_watchdog_init++ == 0) {
-		fcp_watchdog_tick = fcp_watchdog_timeout *
-		    drv_usectohz(1000000);
+		fcp_watchdog_tick = drv_sectohz(fcp_watchdog_timeout);
 		fcp_watchdog_id = timeout(fcp_watch,
 		    NULL, fcp_watchdog_tick);
 	}
